Skip to main content
GET
/
api
/
modelServing
/
v1
/
modelApis
/
{modelApiId}
/
versions
/
{modelApiVersionId}
/
exportLogs
cURL
curl --request GET \
  --url https://api.example.com/api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/exportLogs \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "logs": [
    {
      "log": "<string>",
      "streamType": "<string>",
      "tags": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "timeNano": 123,
      "timestamp": 123
    }
  ],
  "modelId": "<string>",
  "modelVersionId": "<string>",
  "status": "<string>",
  "sinceTimeNano": "<string>"
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

modelApiId
string
required

The id of the Model API to retrieve the export logs for.

modelApiVersionId
string
required

The id of the Model API Version to retrieve the export logs for.

Query Parameters

sinceTimeNano
string

The epoch time in nanoseconds to start fetching from, such as "1543538813745986325". "0" by default and will typically be used for a timestamp-based offset log fetching strategy.

Response

200 - application/json

The export logs for the given Model API Version.

logs
object[]
required

The export logs.

modelId
string
required

The id of the Model API

modelVersionId
string
required

The id of the Model API Version

status
string
required

The status of the export.

sinceTimeNano
string

The start date of the logs.